/**
 * 存储数据
 * @param {*} key 
 * @param {*} value 
 */
export const setItem = (key, value) => {
	//value 的 两种请款  1基本数据类型  2复杂数据类型
	value = JSON.stringify(value)
	setStorage(key, value)
}

/**
 * 获取数据
 * @param {*} key 
 */
export const getItem = (key) => {
	const data = getStorage(key)
	try {
		return JSON.parse(data)
	} catch (e) {
		return data
	}
}

/**
 * 删除指定数据
 * @param {*} key 
 */
export const removeItem = (key) => {
	window.localStorage.removeItem(key)
}

/**
 * 删除所有数据
 */
export const removeAllItem = () => {
	window.localStorage.clear()
}

/**
 * 删除指定数据sessionStorage
 * @param {*} key 
 */
export const removeSItem = (key) => {
	window.sessionStorage.removeItem(key)
}
/**
 * 获取数据sessionStorage
 * @param {*} key 
 */
export const getSItem = (key) => {
	const data = window.sessionStorage.getItem(key)
	try {
		return JSON.parse(data)
	} catch (e) {
		return data
	}
}

/**
 * 存储数据sessionStorage
 * @param {*} key 
 * @param {*} value 
 */
export const setSItem = (key, value) => {
	//value 的 两种请款  1基本数据类型  2复杂数据类型
	value = JSON.stringify(value)
	window.sessionStorage.setItem(key, value)
}


